Debian Bug report logs - #548960
fails to build with newer eglibc (local definition of round)

version graph

Package: fbb; Maintainer for fbb is Debian Hamradio Maintainers <debian-hams@lists.debian.org>; Source for fbb is src:fbb.

Reported by: Stefan Potyra <sistpoty@ubuntu.com>

Date: Tue, 29 Sep 2009 20:39:02 UTC

Severity: serious

Tags: patch, sid, squeeze

Found in version fbb/7.04j-8

Fixed in version fbb/7.04j-8.1

Done: Michael Meskes <meskes@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Hamradio Maintainers <debian-hams@lists.debian.org>:
Bug#548960; Package fbb. (Tue, 29 Sep 2009 20:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Potyra <sistpoty@ubuntu.com>:
New Bug report received and forwarded. Copy sent to Debian Hamradio Maintainers <debian-hams@lists.debian.org>. (Tue, 29 Sep 2009 20:39:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stefan Potyra <sistpoty@ubuntu.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: fails to build with newer eglibc (local definition of round)
Date: Tue, 29 Sep 2009 22:38:30 +0200
[Message part 1 (text/plain, inline)]
Package: fbb
Version: 7.04j-8
Severity: normal
Tags: patch

Hi,

thanks for maintaining fbb.

During Ubuntu's rebuild test, fbb failed to build with gcc-4.4 in conjunction
with a newer eglibc [1].

The reason is that eglibc nowadays defines round (as per C99).

A simple fix is to simply use round from <math.h>, eradicating the local
definition. Probably better is to check for round with feature_test_macros.

The attached patch simply removes the local definition. Admitted, I haven't 
checked if this does build on unstable yet :(.

Cheers,
    Stefan.

[1]:
<http://launchpadlibrarian.net/31645656/buildlog_ubuntu-karmic-amd64.fbb_7.04j-8_FAILEDTOBUILD.txt.gz>

-- System Information:
Debian Release: squeeze/sid
  APT prefers karmic-updates
  APT policy: (500, 'karmic-updates'), (500, 'karmic-security'), (500, 'karmic')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31-10-generic (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[local_round.patch (text/x-c, attachment)]

Severity set to 'serious' from 'normal' Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Thu, 29 Oct 2009 05:14:49 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions fbb/7.04j-8.1. Request was from Simon Richter <sjr@debian.org> to control@bugs.debian.org. (Fri, 27 Nov 2009 21:54:09 GMT) Full text and rfc822 format available.

Added tag(s) squeeze and sid. Request was from kurt@roeckx.be (Kurt Roeckx) to control@bugs.debian.org. (Sat, 28 Nov 2009 22:06:06 GMT) Full text and rfc822 format available.

Reply sent to Michael Meskes <meskes@debian.org>:
You have taken responsibility. (Sat, 23 Jan 2010 14:24:11 GMT) Full text and rfc822 format available.

Notification sent to Stefan Potyra <sistpoty@ubuntu.com>:
Bug acknowledged by developer. (Sat, 23 Jan 2010 14:24:11 GMT) Full text and rfc822 format available.

Message #16 received at 548960-done@bugs.debian.org (full text, mbox):

From: Michael Meskes <meskes@debian.org>
To: 548960-done@bugs.debian.org
Subject: Closing
Date: Sat, 23 Jan 2010 15:21:50 +0100
As the patch was already applied in 7.04j-8.1 I think we can safely close this report.

Michael
-- 
Michael Meskes
Michael at Fam-Meskes dot De, Michael at Meskes dot (De|Com|Net|Org)
Michael at BorussiaFan dot De, Meskes at (Debian|Postgresql) dot Org
ICQ 179140304, AIM/Yahoo/Skype michaelmeskes, Jabber meskes@jabber.org
VfL Borussia! Força Barça! Go SF 49ers! Use Debian GNU/Linux, PostgreSQL




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 09:26:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:41:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.